#### D.13.7.3 newtonPolygonNegSlopes

Procedure from library `tropicalNewton.lib` (see tropicalNewton_lib).

Usage:
  newtonPolygonNegSlopes(g,b); g poly, b int

Return:
  list, the negative slopes of the Newton Polygon of g
  if b==1, computes root (type poly) instead if (easily) possible

Assume:
  uniformizingParameter is set and g univariate

Example:

    LIB "tropicalNewton.lib";
    ring r = (0,t),x,dp;
    setUniformizingParameter(t);
    poly g = tx2+x+1;
    newtonPolygonNegSlopes(g);
    ==> [1]:
    ==> 0
    ==> [2]:
    ==> -1
    // poor man's polynomials over p-adic numbers:
    ring s = 0,x,dp;
    setUniformizingParameter(3);
    poly g = x2+9x+1;
    newtonPolygonNegSlopes(g);
    ==> [1]:
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.